package net.minecraft.src;

import java.util.concurrent.Callable;
import net.lax1dude.eaglercraft.EaglerAdapter;

class CallableGLInfo implements Callable
{
    /** The Minecraft instance. */
    final Minecraft mc;

    CallableGLInfo(Minecraft par1Minecraft)
    {
        this.mc = par1Minecraft;
    }

    public String getTexturePack()
    {
        return "GL_SHADING_LANGUAGE_VERSION = 35724 and GL_VERSION = 7938";
    }

    public Object call()
    {
        return this.getTexturePack();
    }
}
